Add Group

Create a group with a unique name and description.

This method allows you to add a group. Creation of group requires unique group name and description. These fields should only contain alphanumeric characters, space, dot(.), underscore(_) or hyphen(-). Max allowed characters is 50.

KeyMeaningMandatoryData Type
groupnameUnique group name. Allowed characters: alphanumeric, space, dot(.), underscore(_) or hyphen(-). Max 50.Yesstring
groupdescGroup description. Allowed characters: alphanumeric, space, dot(.), underscore(_) or hyphen(-). Max 50.Yesstring
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.platform import PlatformClient

client = PlatformClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response = client.Group.add(
    groupname="DemoGroup",
    groupdesc=" Demo Description"
)

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json